"#import libs/utils.inc.src"
"#import libs/file.inc.src"
"#import libs/remote.inc.src"

// Tool to send to rented servers the default binaries from computers
// Note that the utility methods to transfer a file only accepts complete path
// "connect" and "transfer" should be easy reusable for a code pulling tool (issue #7)

//command: colony
length = imports.utils.ParamLength(params)
if length < 3 or length > 5 or imports.utils.HasFlag(params, "h", "help") then exit("<b>Usage: "+imports.utils.GetProgName()+" [user] [password] [ip] [(opt) port] [(opt) service]</b>")
comp = get_shell.host_computer

user = imports.utils.GetParam(params, 0)
password = imports.utils.GetParam(params, 1)
ip = imports.utils.GetParam(params, 2)
port = imports.utils.GetParam(params, 3)
service = imports.utils.GetParam(params, 4)

remote = imports.remote.connect(get_shell, user, password, ip, port, service)
if not remote then exit("Can't connect to remote server")
for path in imports.file.MISSING
	result = imports.remote.upload(remote, path, path[:path.lastIndexOf("/")])
	if typeof(result) == "string" then print(result) else print("Sent to "+result.path)
end for
